aboutsummaryrefslogtreecommitdiff
path: root/net/im/feast/feast.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'net/im/feast/feast.SlackBuild')
-rwxr-xr-xnet/im/feast/feast.SlackBuild9
1 files changed, 8 insertions, 1 deletions
diff --git a/net/im/feast/feast.SlackBuild b/net/im/feast/feast.SlackBuild
index 300296cd..0e7b0012 100755
--- a/net/im/feast/feast.SlackBuild
+++ b/net/im/feast/feast.SlackBuild
@@ -139,6 +139,7 @@ feast:
EODESC
# Add a post-installation script (doinst.sh)
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
cat << EOSCRIPT > "$PKG/install/doinst.sh"
config() {
NEW="\$1"
@@ -180,11 +181,17 @@ mkuser() {
config etc/feast.conf.new
EOSCRIPT
+# Copy slack-required
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+if [ -f "$CWD/slack-required" ]; then
+ cp $CWD/slack-required $PKG/install
+fi
+
# Build the package
cd "$PKG"
makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
# Delete source and build directories if requested
-if [ "$CLEANUP" == "yes" ]; then
+if [ "$CLEANUP" == "yes" ] || [ "$1" = "--cleanup" ]; then
rm -rf "$PKG_WORK" "$PKG"
fi